summaryrefslogtreecommitdiff
path: root/src/collector/healthcheck.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/collector/healthcheck.sh')
-rwxr-xr-xsrc/collector/healthcheck.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/src/collector/healthcheck.sh b/src/collector/healthcheck.sh
index 3c5e042..aacc906 100755
--- a/src/collector/healthcheck.sh
+++ b/src/collector/healthcheck.sh
@@ -1,11 +1,11 @@
#!/bin/bash
# If mongodb container
-if [ $1 = "MONGODB" ]
+if [ "$1" = "MONGODB" ]
then
- /usr/bin/mongosh --eval 'disableTelemetry()' -u $MONGODB_USERNAME -p $MONGODB_PASSWORD localhost:27017/production /healthcheck-mongodb.js
+ /usr/bin/mongosh --eval 'disableTelemetry()' -u "$MONGODB_USERNAME" -p "$MONGODB_PASSWORD" localhost:27017/production /healthcheck-mongodb.js
exit $?
fi
# If collector
-/usr/bin/python3 ./src/collector/healthcheck.py $1 || exit 1
+/usr/bin/python3 ./src/collector/healthcheck.py "$1" || exit 1